Name: ttywatch
Version: 0.14
Release: 7%{?dist}.1
Summary: Log output of arbitrarily many devices
License: GPL
Group: System Environment/Daemons
URL: http://www.danlj.org/mkj/ttywatch/
Source: http://www.danlj.org/mkj/ttywatch/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel popt lockdev-devel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service /sbin/chkconfig
Requires(postun): /sbin/service

%description
%{name} was originally designed to log serial console output from
lots of Linux machines on a single monitor machine.  It handles
log rotation correctly and can be configured both in a configuration
file and on the command line -- and you can mix-and-match at your
convenience.  It can be set up to allow users to interact via the
network with any of the ports being logged.  It can also log output
in arbitrary ways via modules, which can be built with the
ttywatch-devel package.

%package devel
Summary: Build modules for the ttywatch daemon
Group: Development/Libraries
Requires: ttywatch = %{version}-%{release} 
Requires: glib2-devel

%description devel
Includes the ttywatch.h header file used to build ttywatch modules.

%prep
%setup -q

%build
make %{?_smp_mflags} OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man8 \
	LOGDIR=$RPM_BUILD_ROOT%{_localstatedir}/log/%{name} \
	ETCDIR=$RPM_BUILD_ROOT%{_sysconfdir} \
	INCDIR=$RPM_BUILD_ROOT%{_includedir} \
	INITDIR=$RPM_BUILD_ROOT%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = 0 ]; then
    /sbin/service %{name} stop > /dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service %{name} condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_mandir}/*/*
%doc COPYING
%attr(0700,root,root) %dir %{_localstatedir}/log/%{name}

%files devel
%defattr(-,root,root)
%{_includedir}/*
%doc COPYING


%changelog
* Fri Apr 20 2007 Matt Domsch <Matt_Domsch@dell.com> 0.14-7.el5.1
- rebuild

* Mon Oct 02 2006 Matt Domsch <Matt_Domsch@dell.com> 0.14-7
- rebuild

* Sat Sep  2 2006 Matt Domsch <Matt_Domsch@dell.com> 0.14-6
- rebuild

* Sun Feb 12 2006 Matt Domsch <Matt_Domsch@dell.com> 0.14-5
- rebuild for FC5

* Tue Nov 29 2005 Matt Domsch <Matt_Domsch@dell.com> 0.14-4
- -devel requires glib2-devel
- require /sbin/{chkconfig,service} rather than initscripts
  and chkconfig packages

* Mon Nov 28 2005 Matt Domsch <Matt_Domsch@dell.com> 0.14-3
- make /var/log/ttywatch owned by the package, return of -devel.

* Wed Nov 23 2005 Matt Domsch <Matt_Domsch@dell.com> 0.14-2
- cleanups from dmitry@butskoy.name

* Sat Nov 12 2005 Matt Domsch <Matt_Domsch@dell.com> 0.14-1
- prepare for Fedora Extras

* Thu Dec 23 2004 Michael K. Johnson <a1237+ttywatch@danlj.org> 0.14
- support glib2

* Fri Apr 23 2004 Michael K. Johnson <a1237+ttywatch@danlj.org>
- relock with new pid after daemon (Chris Wilson)
- exit if no devices available (Chris Wilson)

* Fri Apr 23 2004 Michael K. Johnson <a1237+ttywatch@danlj.org> 0.13
- removed extraneous success message (Chris Wilson found it)

* Thu Apr 22 2004 Michael K. Johnson <a1237+ttywatch@danlj.org>
- implemented device locking (suggested by Chris Wilson)
  I'm not satisfied with the way the command-line handling is
  done here; the option and/or semantics may change in the future.

* Wed Apr 21 2004 Michael K. Johnson <a1237+ttywatch@danlj.org>
- fixed break handling to actually send break to serial port (Chris Wilson)

* Mon Mar 29 2004 Michael K. Johnson <a1237+ttywatch@danlj.org> 0.12
- iconv conversion to utf-8
- discarding \r from input was detracting from interactive use
  (thanks to Chris Wilson for finding this bug)

* Thu Mar 25 2004 Michael K. Johnson <a1237+ttywatch@danlj.org>
- discard NULs (Chris Wilson)

* Wed Mar 26 2003 Michael K. Johnson <johnsonm@redhat.com>
- fix TELNET BREAK handling

* Fri Apr 05 2002 Michael K. Johnson <johnsonm@redhat.com>
- retry logic improved (0.10)

* Fri Jun 22 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added telnet "send break" handling (0.9)

* Fri May 11 2001 Michael K. Johnson <johnsonm@redhat.com>
- Do not package /var/log/ttywatch, just create it out of the post
  on new installs.

* Tue May 01 2001 Michael K. Johnson <johnsonm@redhat.com>
- Be careful what you ask for; you just might get it.  :-)
  More careful error handling accidentally broke log rotation handling,
  fixed. (0.8)

* Sat Apr 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- Fixed memory leak and early process death on network disconnect (0.7)

* Wed Apr 25 2001 Michael K. Johnson <johnsonm@redhat.com>
- Added the ability to connect to and interact with ports
  via the network. (0.6)

* Tue Dec 19 2000 Michael K. Johnson <johnsonm@redhat.com>
- Releasing 0.5

* Tue Dec 12 2000 Michael K. Johnson <johnsonm@redhat.com>
- added "notifempty" to default logrotate, plus comment on rotate --
  hopefully last config file change for a while

* Mon Dec 11 2000 Michael K. Johnson <johnsonm@redhat.com>
- chdir was breaking relative paths, so I removed it

* Mon Dec 04 2000 Michael K. Johnson <johnsonm@redhat.com>
- Added facility for log modules.
- Added -devel package for building log modules

* Wed Nov 01 2000 Michael K. Johnson <johnsonm@redhat.com>
- Releasing 0.3
- Fixed log file re-opening to use the .log suffix

- Releasing 0.2, first public version
- License notice added
- Code cleanup
- Nested config files fixed
- Documentation touch-ups

* Thu Sep 15 2000 Michael K. Johnson <johnsonm@redhat.com>
- initial version
